| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Types | Public Member Functions | List of all members
Ogre::LodConfigSerializer Class Reference

`#include <OgreLodConfigSerializer.h>`

Inheritance diagram for Ogre::LodConfigSerializer:
[legend]

## Public Types
enum | Endian { ENDIAN_NATIVE, ENDIAN_BIG, ENDIAN_LITTLE }
| The endianness of written files. More...

## Public Member Functions
| LodConfigSerializer ()
void | exportLodConfig (Ogre::LodConfig &config, const Ogre::String &filename, Endian endianMode=ENDIAN_NATIVE)
void | exportLodConfig (Ogre::LodConfig &config, Ogre::DataStreamPtr stream, Endian endianMode=ENDIAN_NATIVE)
void | importLodConfig (Ogre::LodConfig *config, const Ogre::String &filename)
void | importLodConfig (Ogre::LodConfig *config, DataStreamPtr &stream)

## Member Enumeration Documentation

## ◆ Endian

enum Ogre::Serializer::Endian
| inherited

The endianness of written files.

Enumerator
ENDIAN_NATIVE | Use the platform native endian.
ENDIAN_BIG | Use big endian (0x1000 is serialised as 0x10 0x00)
ENDIAN_LITTLE | Use little endian (0x1000 is serialised as 0x00 0x10)

## Constructor & Destructor Documentation

## ◆ LodConfigSerializer()

Ogre::LodConfigSerializer::LodConfigSerializer | ( |  | ) |

## Member Function Documentation

## ◆ exportLodConfig() [1/2]

void Ogre::LodConfigSerializer::exportLodConfig | ( | Ogre::LodConfig & | config,
|  | const Ogre::String & | filename,
|  | Endian | endianMode = `ENDIAN_NATIVE`
| ) |  |

## ◆ exportLodConfig() [2/2]

void Ogre::LodConfigSerializer::exportLodConfig | ( | Ogre::LodConfig & | config,
|  | Ogre::DataStreamPtr | stream,
|  | Endian | endianMode = `ENDIAN_NATIVE`
| ) |  |

## ◆ importLodConfig() [1/2]

void Ogre::LodConfigSerializer::importLodConfig | ( | Ogre::LodConfig * | config,
|  | const Ogre::String & | filename
| ) |  |

## ◆ importLodConfig() [2/2]

void Ogre::LodConfigSerializer::importLodConfig | ( | Ogre::LodConfig * | config,
|  | DataStreamPtr & | stream
| ) |  |

The documentation for this class was generated from the following file:

- OgreLodConfigSerializer.h